.p-cat-header-title {
    margin-bottom: 1rem;
}

.p-cat-header-img-wrapper img {
    width: 100%;
    margin-bottom: 1rem;
}

.p-cat-description {
    margin-bottom: 2rem;
    padding-bottom: 2rem;
    border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.p-cat-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(15rem, 1fr));
    grid-gap: 2rem;
    margin-bottom: 15rem;
}

.p-cat-grid-item {
    border: 1px solid #29a6e5;
}

.p-cat-grid-item-img-wrapper {
    overflow: hidden;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.p-cat-grid-item img {
    transition: transform 0.2s ease-in-out;
}

.p-cat-grid-item:hover img {
    transform: scale(1.1);
}

.p-cat-grid-item-title {
    background-color: #29a6e5;
    color: white;
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding: 0.8em 1em;
}

.product-details {
    display: grid;
    grid-template-columns: 1fr 3fr;
    grid-gap: 5rem;
    margin-bottom: 15rem;
}

@media screen and (max-width: 1000px) {
    .product-details {
        grid-template-columns: 1fr;
    }
}

.product-image-wrapper {
    text-align: center;
    width: 40ch;
    margin: 0 auto;
}

.product-image-wrapper * {
    width: 100%;
    margin-bottom: 2rem;
}

.product-image-wrapper-gallery {
    display: flex;
}

.product-image-wrapper-gallery-item, .product-image-wrapper-gallery-item img {
    margin: 0;
}

.product-image-wrapper-gallery-item:hover {
    cursor: pointer;
    border: 1px solid rgba(41, 166, 229, 1);
}

@media screen and (max-width: 1000px) {
    .product-image-wrapper * {
        max-width: 25rem;
    }
}

.product-articlenr {
    font-size: 0.9em;
    margin-bottom: 1.6rem;
}

.product-description {
    margin-bottom: 1.4rem;
}

.product-type-title {
    font-size: 1.2em;
    font-weight: 600;
}

.product-type-list {
    list-style: none;
    display: flex;
    flex-wrap: wrap;
}

.product-type-list-item {
    cursor: pointer;
    margin: 0 1rem 1rem 0;
    opacity: 0.6;
    text-align: center;
    transition: opacity 0.2s ease-in-out;
}

.product-type-list-item:hover {
    opacity: 1;
}

.product-type-list-item.active {
    opacity: 1;
}

.product-type-list-item.active img {
    border-bottom: 4px solid #666769;
}

.product-type-list-item.active .product-type-list-item-text {
    font-weight: 600;
}

.product-type-list-item img{
    object-fit: contain;
    width: 10rem;
    height: 10rem;
}

.product-details-wrapper iframe {
    --v-width: 50vw;
    width: var(--v-width);
    height: calc( var(--v-width) * 0.5625 );
}

@media screen and (max-width: 1000px) {
    .product-details-wrapper iframe {
        --v-width: 80vw;
        margin: 0 auto;
        display: block;
    }
}

.product-properties-wrapper {
    grid-column: span 2;
}

@media screen and (max-width: 1000px) {
    .product-properties-wrapper {
        grid-column: span 1;
    }
}

.product-properties-title {
    font-size: 1.6em;
    font-weight: 600;
    margin-bottom: 1rem;
}

.product-properties-list {
    columns: 4 300px;
}

.product-properties-list-item .label {
    font-weight: 600;
}

.related-products-container {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.related-product {
    border: 1px solid #29a6e5;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    max-width: 15%;
}

@media screen and (min-width: 641px) and (max-width: 1000px) {
    .related-products-container {
        flex-wrap: wrap;
        justify-content: flex-start;
    }

    .related-product {
        width: 31%;
        max-width: 33%;
        margin-right: 0.4em;
        margin-bottom: 2em;
    }
}

@media screen and (max-width: 640px) {
    .related-products-container {
        flex-wrap: wrap;
        justify-content: flex-start;
    }

    .related-product {
        width: 45%;
        max-width: 45%;
        margin-right: 0.4em;
        margin-bottom: 2em;
    }
}

.related-product-title {
    background-color: #29a6e5;
    color: white;
    width: 100%;
    display: block;
    box-sizing: border-box;
    padding: 0.8em 1em;
}